plugins {
    alias(libs.plugins.kotlin.android)
    id("com.android.library")
}

android {
    namespace = "com.narutohuo.xindazhou.nfc"
    compileSdk = 36

    defaultConfig {
        minSdk = 26
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = "17"
    }
}

dependencies {
    // 直接依赖 base-core（能力层只需要 base-core 的接口和基础能力）
    // base-core 提供接口定义和基础实现（ILog、NetworkManager）
    implementation(project(":base-core"))
}

